Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Web and WebWorks Development

Reply
New Contributor
Posts: 4
Registered: ‎03-29-2010
My Device: 9700
My Carrier: cmcc

widget sdk packaging error and eclipse plugin missing problem.

Dear,

Sorry for the blast.
I did some tests and check about current widget development tool suite, development doc and sample files on RIM web site.
Here is some output and points I felt puzzled.

Problem 1:
The web plug-in for eclipse does not contain the widget sdk plug-in.
When I installed the downloaded web plug-in exe file, it does not contain the widget sdk plug-in in eclipse.
When I use the eciplse update to select eclipse sdk plug-in by:
http://www.blackberry.com/developers/webeclipse, I did not find the widget sdk.
When I use the update source site according to the url link in the RIM development guide:
http://www.blackberry.com/go/eclipseUpdate/3.4/web
I got the error as downloaded zip file error.
There is also a same case reported here:
http://supportforums.blackberry.com/t5/Web-Development/widget-sdk-for-eclipse-error/m-p/383610/highl...

problem 2:
Since eclisep failed. I chose to downloaded the latest widget sdk
BlackBerry Widget SDK 1.0 Beta 3 and the sample widget from
www.blackberry.com/go/helloworldwidgetsample
I use the widget package tool bbwp.exe from the installed sdk directory to convert the downloaded sample zip file to cod file, I got the error as below:
C:\bbtool\BlackBerryWidgetPackager>bbwp.exe "C:\TDDownload\HelloWorldWidget.zip"
[INFO]                  Parsing command line options
[INFO]                  Parsing bbwp.properties
[INFO]                  Validating widget archive
[INFO]                  Parsing config.xml
com.sun.org.apache.xerces.internal.impl.io.MalformedByteSequenceException: Invalid byte 3 of 3-byte UTF-8 sequence.
When I tried to work around this case and compress a zip by my self, I got the error as beblow:
C:\bbtool\BlackBerryWidgetPackager>bbwp.exe "C:\TDDownload\HelloWorldWidget4.zip"
[INFO]                  Parsing command line options
[INFO]                  Parsing bbwp.properties
[INFO]                  Validating widget archive
[ERROR]                 Invalid widget archive - missing config.xml

My test environment is Vista Home premium sp1, English version, 32bit.

 

Thx

Jerry

Retired
Posts: 3,708
Registered: ‎10-16-2008
My Device: Z10
My Carrier: Rogers

Re: widget sdk packaging error and eclipse plugin missing problem.

Hi Jerry,

 

For the Eclipse plug-in, did you install the version 2.0 beta?  or the 1.0 version?

 

 

Tim Neil
Director, Application Platform & Tools Product Management
Follow me on Twitter
New Contributor
Posts: 4
Registered: ‎03-29-2010
My Device: 9700
My Carrier: cmcc

Re: widget sdk packaging error and eclipse plugin missing problem.

Hi Tim,

 

I checked my eclipse version. the info is as following:

 

name: blackberry web development plug-in
identifier: net.rim.browser.tools.feature.feature.group
version: 1.0.0.200907241249-33

 

So this means my web plug-version is 1.0?

 

BR

Jerry

New Contributor
Posts: 4
Registered: ‎03-29-2010
My Device: 9700
My Carrier: cmcc

Re: widget sdk packaging error and eclipse plugin missing problem.

Hi,

 

A quick update about this case.  I downloaded the eclipse web plugin 2.0 and I did have the widget sdk there now.

 

So I think I could go ahead with this version of plugin now.

 

Thx

Jerry